# Created by pyp2rpm-3.0.2
%global pypi_name easyzone

Name:           python-%{pypi_name}
Version:        1.2.2
Release:        1%{?dist}
Summary:        Easy Zone - DNS Zone abstraction module

License:        MIT
URL:            http://www.psychofx.com/easyzone/
Source0:        https://pypi.python.org/packages/b0/1a/bf74b3267d641848ced5523c1422704790af7211e86aa765f6922b4e1c3a/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires: python-setuptools
BuildRequires: python2-devel
BuildRequires: python2-dns

%if 0%{?fedora}
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-dns
%endif

%description
easyzone
========

Overview
--------

Easyzone is a package to manage the
common record types of a
zone file, including SOA records.  This module sits on
top of
the dnspython package and provides a higher level abstraction
for common
zone file manipulation use cases.

http://www.psychofx.com/easyzone/
http://pypi.python.org/pypi/easyzone
https://bitbucket.org/chrismiles/easyzone/
Main ...

%package -n     python2-%{pypi_name}
Summary:        Easy Zone - DNS Zone abstraction module
%{?python_provide:%python_provide python2-%{pypi_name}}

Requires:       python-dns
Requires:       python-setuptools
%description -n python2-%{pypi_name}
easyzone
========

Overview
--------

Easyzone is a package to manage the
common record types of a
zone file, including SOA records.  This module sits on
top of
the dnspython package and provides a higher level abstraction
for common
zone file manipulation use cases.

http://www.psychofx.com/easyzone/
http://pypi.python.org/pypi/easyzone
https://bitbucket.org/chrismiles/easyzone/
Main ...

%if 0%{?fedora}
%package -n     python3-%{pypi_name}
Summary:        Easy Zone - DNS Zone abstraction module
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3-dns
Requires:       python3-setuptools
%description -n python3-%{pypi_name}
easyzone
========

Overview
--------

Easyzone is a package to manage the
common record types of a
zone file, including SOA records.  This module sits on
top of
the dnspython package and provides a higher level abstraction
for common
zone file manipulation use cases.

http://www.psychofx.com/easyzone/
http://pypi.python.org/pypi/easyzone
https://bitbucket.org/chrismiles/easyzone/
Main ...
%endif

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%if 0%{?fedora}
%py3_build
%endif

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%if 0%{?fedora}
%py3_install
%endif
%py2_install


%files -n python2-%{pypi_name}
%doc ._README.txt README.txt
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%if 0%{?fedora}
%files -n python3-%{pypi_name}
%doc ._README.txt README.txt
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif

%changelog
* Thu Jun 02 2016 Andrey Bardin <a15y87@gmail.com> - 1.2.2-1
- Initial package.
